Error Fatal En Actualizacion WordPress 3.3

Error Fatal WordPress 3.3

Hoy ya he recibido 4 correos de usuarios de Aprende WordPress que al haber realizado la actualizado a la nueva version de WordPress 3.3 recibieron el siguiente error:

Fatal error: Call to undefined function is_rtl() in /home/DOMINIO/public_html/wp-includes/general-template.php on line 2102

Seguramente si tu tambien tienes el mismo error no puedes ingresar a tu blog… no desesperes, en este articulo voy a decirte como solucionarlo.

Basicamente este error se produce por la incompatiblidad que presentan algunos plugins con la nueva version de WordPress 3.3.

Toca trabajar en solucionar tu problema para que puedas tener acceso a tu blog.

  1. Accede a tu blog via ftp (usualmente mediante FileZilla) para poder manejar tus carpetas y archivos.
  2. Busca la carpeta plugins (usualmente estara en /public_html/wp-content/plugins
  3. Cambiale el nombre a la carpeta (no tengas miedo, solo estas cambiando un nombre y ya luego le volveras a poner el que corresponde). Al realizar este cambio, todos los plugins son desactivados, por lo que ya tienes ingreso a tu blog… pero todavia te falta un poco mas.
  4. Tambien mediante FileZilla realiza un respaldo de esa carpeta al Escritorio de tu computadora. Dado que no sabemos que plugin es el que te esta produciendo el error, vas a instalar uno a uno todos ellos.
  5. Luego que haya finalizado el respaldo y te hayas asegurado que tienes copia de todos ellos en tu computadora, borra todos los plugins que tienes en la carpeta plugins (que antes renombraste)
  6. Renombra la carpeta como “plugins” nuevamente
  7. De la carpeta de respaldo que tienes en tu Escritorio, pasa uno a uno cada plugin a la carpeta plugins de tu blog
  8. Activa uno a uno, dado que puede ser un plugin o pueden ser varios los que te esten dando error. A medida que vas subiendo un plugin, ve activandolo hasta encontrar cual o cuales te dan error.

Listo, ya lo has solucionado y has aprendido algo mas.

Espero que este breve tutorial te sea de utilidad. Si asi fue, compartelo con los demas en las redes sociales.

Puedes dejar tus comentarios, opiniones y dudas a continucion.

Por tu exito.

Leave A Reply (23 comments so far)


  1. Jose Luis Reyes C
    3 años ago

    Saludos , muy bueno este Post, a mi me paso esto mismo pero actualizando un plugin que ya no recuerdo, pero tuve que hacer al parecido, tuve que ir a labas de datos y desactivar todos los plugindesde alli para poder acceder al Blog de un cliente. Aun no actualizo a 3.3 mi blog ni la de mis clientes, voy a esperar un poco a que este un poco mas maduro esta versión.

    @jlreyesc


    • Denis Antúnez
      3 años ago

      Que tal Jose Luis, gracias por tu aporte. Si, tambien se puede realizar asi, es una muy buena forma. Si luego recuerdas que plugin fue el que te dio el error, comentalo por aqui. Me alegro que todo este funcionando bien. En cuanto a actualizar o no, salvo por algun que otro plugin, el resto funciona perfectamente.
      Gracias por tu aporte. Un placer tenerte comentando por aqui. Un saludo.-

  2. Gracias Denis por compartir este articulo,la verdad que cuando no puedes entrar a tu blog es como si no pudieras entrar a tu casa,tienes la sensacion de que te han robado.

    Yo lo voy a explicar de una manera mas sencilla,solo para las personas que tengan Instalado el plugin POP-UP INSTANTANEO.

    Tienes que ingrsar por el ftp,directamente borras el plugin y luego te pones en contacto con Soporte y listo.
    Ya tienes el blog,menos un plugin.
    Saludos


    • Denis Antúnez
      3 años ago

      Si, a uno le entra la desesperacion cuando pasa eso, pero todo tiene solucion. En el caso de ese plugin, si, se puede desactivar y listo. Sabiendo cual es no hay problema. El tema es que no es solamente ese plugin el que da problemas, por lo que el metodo que describo aqui (y que realice en el blog de Alberto Benatuil) te permite saber cuales si y cuales no.

      Gracias por el aviso, un saludo


  3. Hugo-Lira
    3 años ago

    Hola Denis,

    No tuve ningún problema al actualizar esta nueva versión en mis sitios, sin embargo, en mi blog personal, al principio no me permitía actualizar esta nueva versión.

    Me apareció un mensaje de advertencia que me pedía respaldar todo mi contenido, una ves que lo hice, este se actualizo sin problema, ya me encuentro navegando y viendo todas estas nuevas funciones de actualización.

    Comparto mi experiencia por si alguien pasa lo mismo, no esta de mas realizar un respaldo antes de actualizar.

    Saludos Denis !


    • Denis Antúnez
      3 años ago

      Que tal Hugo, gracias por compartir tu experiencia. Si, yo diria que es OBLIGATORIO realizar respaldo. Dentro del curso Aprende WordPress hay un modulo especifico sobre seguridad y respaldo, y por algo es. Varios han salvado su blog por hacerlo e inclusive es algo que se hace automaticamente. En mi caso, en todos los sitios que administro, no he tenido ningun problema, seguramente porque los plugins que tengo no han presentado conflictos.

      Un saludo.-


  4. Alberto
    3 años ago

    Hola Denis, fantástica tu sabiduría o habilidad con WordPress, seguro que ahora si aprendí algo súper importante. Los plugins que estaban dando problemas era nada mas ni nada menos que el “popup domination”, que lo tiene el casi 95% de la gente y ahora nos jorobamos todos, porque nos quedamos sin este plugin, el otro era el de Agustín Casorzo “WP Enlaces Secretos” que estaba usando muy mucho y ya le escribí a Agustín para que arregle (si puede) este problema.

    Te mando un enorme abrazo y te deseo todo lo mejor que te mereces,

    Alberto


    • Denis Antúnez
      3 años ago

      Que tal Alberto, gracias por tu comentario. Si, en tu caso eran 2 los plugins que presentaban conflictos, por lo que tuvimos que realizar todo el trabajo descripto aqui, y por eso lo compartimos. En mi caso utilizo “WP Suscribers” y no ha presentado ningun conflicto. Pero seguramente los desarrolladores ya esten trabajando en su actualizacion.
      En el caso de “Pagina de Fans Pro”, el plugin que estoy por lanzar para construir Paginas de Fans en Facebook, funciona correctamente con esta version.

      Gracias por compartir tu experiencia… siempre aprendemos de estas cosas. Un saludo.


  5. Daniel
    3 años ago

    Hola a todos, Gracias por haber escrito este post, ya que me sirvió de mucho. Tambien he tenido el problema de no poder entrar en mi panel d control cuando actualicè wordpress 3.3. el plugin que me da ese error es el All n One Seo Pack. Ahora tengo una consulta ¿Hay alguna manera de poner este plugin y que no de ese error? Gracias por todo.
    Daniel


    • Denis Antúnez
      3 años ago

      Que tal Daniel, gracias por tu aporte. En tu caso, si el All in One te ha dado problemas, puedes borrarlo. Me suena raro porque no ha dado conflictos, por ejemplo, en este sitio, que esta instalado. Y no, cualquier plugin que este dando error no funcionara hasta que el desarrollador lo actualice. Igual revisa bien, porque como te comente, no ha dado error aqui y en otros sitios que administro.
      Un saludo y gracias por tu comentario.-


  6. Carlos Dagnino
    3 años ago

    Saludos Denis,

    Muy interesante tu post para tener en cuenta al actualizar WP. Yo no actualizo cuando sale una versión nueva hasta ver la estabilidad de la misma.
    Sería interesante que nos ayudáramos entre todos publicando los plugins que provocan problemas.

    un saludo cordial
    Carlos


    • Denis Antúnez
      3 años ago

      Que tal Carlos, gracias por tu comentario. Si, seria bueno que quien visite este blog y pueda aportar nueva informacion lo hiciera para ayudar a los demas.

      Con respecto a instalar o no la nueva version de WordPress, opino diferente. Las nuevas versiones de WordPress siempre traen mejoras y soluciones a bugs con respecto a su predecesora. Asi que creo que se debe de actualizar tomando las precauciones normales. WordPress no debe adaptarse a los plugins, son los plugins (mediante sus desarrolladores) quienes deben de adaptarse a ella. Desactivar todos los plugins (para luego uno a uno verificar su correcto funcionamiento) y realizar un backup siempre es una buena practica que la mayoria de las personas no tienen en cuenta.

      Gracias por tu visita. Un saludo


  7. Oswaldo
    3 años ago

    Excelente articulo, es verdad eso de los plugins, yo tuve un problema algo relacionado donde no me dejaba insertar imagenes, videos, el problemas era que un plugins estaba ocasioando el conflicto, una vez detectado mlo hey eliminado y listo todo bien a seguir trabajando. Buena información, seria bueno que nos digas cuales son los probables plugins que ocasionan ese tipo de conflictos en la actualización de WordPress 3.3


    • denisantunez
      3 años ago

      Que tal Oswaldo, gracias por tu participacion. Normalmente con el correr de los dias, cada desarrollador realiza las actualizaciones de compatibilidad correspondientes, por lo que normalmente se solucionan estos problemas rapidamente.
      Seguramente no se presenten mas problemas similares, dado que las versiones de WordPress, antes de que salga la definitiva, son probadas y es responsabilidad de cada desarrollador adaptar su software. Algunos demoran un poco mas que otros.
      Gracias por tu comentario. Un saludo.


  8. Jose Luis Reyes C
    3 años ago

    Saludos , no quise esperar y actualicé mi sitio y me dio este mismo error , mientras hacia el respaldo, seguí buscando y me encontré con otra solución, la comento a continuación. El Plugin que esta presentando el problema es el Popup Domination, en mi caso yo tengo lo tengo instalado, puedes desactivar el plugin ó corregir una linea en el archivo popup-domination.php, la linea a comentar es la que dice: wp_admin_css( ‘theme-editor’ ); , para comentarla solo tienes que hacer lo siguiente : //wp_admin_css( ‘theme-editor’ ); y listo . Intente acceder y ya no tuve problemas. Espero a los que estén usando este plugin la solución sea un poco mas rápida.


    • denisantunez
      3 años ago

      Que tal Jose Luis, gracias por tu aporte y la solucion que brindas para el plugin “Popup Domination”. Con esto queda solucionado el tema para ese plugin. Hay alguno mas detectado que tambien ha dado problemas. Asi que lo mejor siempre antes de actualizar es seguir las instrucciones en este articulo sobre actualizaciones de WordPress. Nunca estaran de mas todas las previsiones que se puedan tomar.
      Gracias por tu visita y aporte. Un saludo y Felicidades


  9. Oswaldo
    3 años ago

    Saludos, eso de la actualización me parece que esta trayendo problemas a muchos usuarios de wordpress, no crees que lo mejor seria esperar un poco hasta que los desarrolladores de los plugins lo actualizen y de esa manera no tener problemas al actualizar wordpress?


    • denisantunez
      3 años ago

      Personalmente pienso que siempre se debe actualizar a nuevas versiones, estas siempre traen mejoras y soluciones a bugs con respecto a su version anterior. Cuando se actualiza, se debe de tomar ciertas precauciones minimas, que la gran mayoria no realiza y por eso los problemas. En esta actualizacion el tema fueron 3 o mas plugins que no se han adaptado a la nueva version. Siempre he dicho que no es la plataforma la que debe de adecuarse a los plugins, es al reves.
      Gracias por tu comentario Oswaldo, un saludo.


  10. Profesor Yeow
    3 años ago

    otra foma es bajar el ZIP de la pagina de WP, reemplazar los archivos y listo.


    • denisantunez
      2 años ago

      Perfectamente puede servir tambien esta opcion, pero hay que recordar que siempre se debe de realizar un respaldo de la base de datos y por lo menos, de la carpeta wp-content para luego volver a tener todo en su lugar. Dentro de la carpeta wp-content esta la carpeta de plugins, por lo que se debe de tener cuidado a la hora de pasarla al hosting por si alguno de los plugins tiene conflicto con la nueva version de WordPress.
      Gracias por tu aporte. Un saludo


  11. Miguel Encinas
    2 años ago

    Hola, yo tengo problema con el Pop Domination versión 3.0, al parecer no es compatible con algún otro plugin, alguien sabe algo al respecto?

    Gracias


    • denisantunez
      2 años ago

      Por lo que parece, aun su desarrollador no lo ha actualizado y sigue sin ser compatible. Escribele directamente a el para ver en que estado esta la actualizacion del plugin. Es la unica forma a dia de hoy.
      Gracias por tu visita Miguel. Un saludo.

 

Su Cuenta

Password olvidado?

Crea tu cuenta

Recuperar password
Escribe tu email.
El sistema te envia un nuevo password a ese email.